Create
curl --request POST \
--url https://api.app.fleetit.com/v2/integrations/active/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": 1,
"enabled": true,
"data": {}
}
'import requests
url = "https://api.app.fleetit.com/v2/integrations/active/"
payload = {
"integration": 1,
"enabled": True,
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({integration: 1, enabled: true, data: {}})
};
fetch('https://api.app.fleetit.com/v2/integrations/active/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 87,
"integration": 1,
"enabled": true,
"data": {
"auth": {
"api_key": "dummy_api_key",
"account_token": "dummy_account_token"
},
"urls": {},
"config": {
"vehicle": "active",
"entryTypes": {
"toll": 706773,
"parking": 706774
},
"vehicleStatusIds": [
194757,
194759
],
"fetch_vehicles_on_save": true
},
"documentation": "https://developer.example.com/reference/getting-started"
},
"documentation": "https://help.example.com/s/article/FleetIT-Integration"
}Fleet Active Integrations
Create
POST
/
v2
/
integrations
/
active
/
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Was this page helpful?
⌘I

